<script lang="ts">
  // Define props
  export let message: string;
</script>

<div
  class="mb-5 flex items-center rounded-lg border border-rose-700/25 bg-rose-50 px-4 py-3 text-rose-700"
  role="alert"
>
  <svg class="mr-2 h-5 w-5 flex-shrink-0" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
    ><path
      fill="none"
      stroke="currentColor"
      stroke-linecap="round"
      stroke-linejoin="round"
      stroke-width="2"
      d="M3 12a9 9 0 1 0 18 0a9 9 0 1 0-18 0m9-3v4m0 3v.01"
    /></svg
  >

  {message}

  <button
    on:click={() => {
      message = '';
    }}
    type="button"
    class="-mx-1.5 -my-1.5 ml-auto inline-flex h-8 w-8 flex-shrink-0 items-center justify-center rounded-lg bg-rose-50 p-1.5 text-rose-500 hover:bg-rose-500/25 focus:ring-2 focus:ring-rose-400"
    aria-label="Sluit"
  >
    <span class="sr-only">Sluit</span>
    <svg class="h-5 w-5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
      ><path
        fill="none"
        stroke="currentColor"
        stroke-linecap="round"
        stroke-linejoin="round"
        stroke-width="2"
        d="M18 6L6 18M6 6l12 12"
      /></svg
    >
  </button>
</div>
